/******************************************************************************\
*  Animeshell 1.0 Multimedia manager                                           *
*  Copyright (C) 2006-2007 Rémy Guillemette <shaikadzari@gmail.com>            *
*                                                                              *
*  This program is free software; you can redistribute it and/or modify        *
*  it under the terms of the GNU General Public License version 2 only as      *
*  published by the Free Software Foundation.                                  *
*                                                                              *
*  This program is distributed in the hope that it will be useful,             *
*  but WITHOUT ANY WARRANTY; without even the implied warranty of              *
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               *
*  GNU General Public License for more details.                                *
*                                                                              *
*  You should have received a copy of the GNU General Public License           *
*  along with this program; if not, write to the                               *
*  Free Software Foundation, Inc.,                                             *
*  59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.                   *
\******************************************************************************/

#ifndef ANIMECLASS_H
#define ANIMECLASS_H
//
#include <QString>


enum TypeData
{
	AnimeTV = 0,
	AnimeOVA,
	AnimeMovie,
	AnimeOST,
	Manga,
	Movie,
	OST,
	NoType
};

enum GenreData
{
	Shonen = 0,
	Shoujo,
	Ecchi,
	Mecha,
	Horror,
	Comedy,
	SciFi,
	Family,
	NoGenre		
};

enum TypeSupport
{
	DVD = 0,
	CD,
	VHS,
	DisqueDur,
	DisqueDurExterne,
	AucunSupport
};

//

/*!
    \class animeclass
    \brief Animeshell data class
    \author Rémy Guillemette <rguillemette@b2b2c.ca>
    \version 1.0.0
*/
class animeclass  
{

public:
	animeclass();
	
	
	/* AnimeClass Accessor Functions */
	int getNoSeq();
	void setNoSeq(int pNoSeq);
	
	QString getName();
	void setName(QString pName);
	
	int getIndice();
	void setIndice(int pInd);
	
	int getTypeData();
	void setTypeData(int ptyp);
	
	int getGenreData1();
	void setGenreData1(int pG1);
	
	int getGenreData2();
	void setGenreData2(int pG2);
	
	int getTypeSupport();
	void setTypeSupport(int pTySup);
	
	int getQuotation();
	void setQuotation(int pQuo);
	
	QString getDescription();
	void setDescription(QString pDesc);
	
	QString getReference();
	void setReference(QString pRef);
	
	QString getImageFile();
	void setImageFile(QString pImg);
	
private:
	int m_NoSeq;
	QString m_Name;
	int m_NoInd;
	int m_TypeData;
	int m_GenreData1;
	int m_GenreData2;
	int m_TypeSupport;
	int m_Quotation;
	QString m_Description;
	QString m_Reference;
	QString m_ImageFile;
	
};
#endif
